import 'package:flutter_bloc/flutter_bloc.dart';
import 'settings_index_state.dart';

class SettingsIndexCubit extends Cubit<SettingsIndexState> {
  SettingsIndexCubit() : super(const SettingsIndexState());

  void selectMenu(String menu) {
    emit(state.copyWith(selectedMenu: menu));
  }

  void selectTemperatureUnit(bool useCelsius) {
    emit(state.copyWith(useCelsius: useCelsius));
  }

  void setLockScreen(bool lockScreen) {
    emit(state.copyWith(lockScreen: lockScreen));
  }
}
